<?php

namespace Modules\Base\Http\Requests;

use Dingo\Api\Http\FormRequest;
use Dingo\Api\Http\Request;

class BaseRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            //
        ];
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * @return bool
     *
     */
    public function isApi()
    {
        if ($this->container['request'] instanceof Request) {
            return true;
        }

        return false;
    }
}
